Bug 1462095 - nfs-ganesha: Document to open up 2049 UDP port via firewalld
nfs-ganesha: Document to open up 2049 UDP port via firewalld
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.3
All All
unspecified Severity urgent
: ---
: RHGS 3.3.0
Assigned To: Bhavana
Manisha Saini
:
Depends On:
Blocks: 1417157
  Show dependency treegraph
 
Reported: 2017-06-16 03:36 EDT by Soumya Koduri
Modified: 2017-09-21 00:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-21 00:26:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soumya Koduri 2017-06-16 03:36:55 EDT
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html/administration_guide/

Section Number and Name: 
https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html/administration_guide/sect-nfs#sect-NFS_Ganesha

6.2.4.1. Port Information for NFS-Ganesha

Describe the issue: 
As mentioned in bug1459909, nfs client udp mount fails as the port is not opened via firewalld. 

Suggestions for improvement: 
Till that bug gets addressed we need to document the port manually as one of the pre-requisites.


Additional information:
Comment 2 Soumya Koduri 2017-06-16 03:42:50 EDT
The step which need to be documented is as below -

# firewall-cmd --zone=zone_name --add-port=2049/udp
Comment 3 Soumya Koduri 2017-06-16 05:09:12 EDT
Also we need to document the same in below section as well -

5.1.8. Deploying NFS Ganesha using gdeploy
Enabling Firewall Ports

The changes needed are mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1462098#c2
Comment 7 Manisha Saini 2017-07-27 01:54:35 EDT
Bhavana,


For the change made in [1] please add the change to open UDP port to persist even after node reboot.

# firewall-cmd --zone=zone_name --add-port=2049/udp
# firewall-cmd --zone=zone_name --add-port=2049/udp --permanent


For [2] as we are using gdeploy to create ganesha cluster,the below note can be added to avoid manual efforts when setting up ganesha cluster via gdeploy


NOTE
To ensure NFS client UDP mount does not fail, ensure to add port 2049/udp in [firewalld] section of gdeploy.


[1] https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#port_firewall_ganesha


[2]https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#gdeploy_ganesha


Moving this to assigned state,to incorporate the required changes
Comment 9 Manisha Saini 2017-08-09 08:16:18 EDT
Changes looks good to me.Moving this bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.